%define kmm_widgets_major 5
%define libkmm_widgets %mklibname kmm_widgets %{kmm_widgets_major}

%define kmm_csvimportercore_major 5
%define libkmm_csvimportercore %mklibname kmm_csvimportercore %{kmm_csvimportercore_major}

%define kmm_mymoney_major 5
%define libkmm_mymoney %mklibname kmm_mymoney %{kmm_mymoney_major}

%define kmm_icons_major 5
%define libkmm_icons %mklibname kmm_icons %{kmm_icons_major}

%define kmm_plugin_major 5
%define libkmm_plugin %mklibname kmm_plugin %{kmm_plugin_major}

%define kmm_payeeidentifier_major 5
%define libkmm_payeeidentifier %mklibname kmm_payeeidentifier %{kmm_payeeidentifier_major}

%define kmm_menus_major 5
%define libkmm_menus %mklibname kmm_menus %{kmm_menus_major}

%define kmm_models_major 5
%define libkmm_models %mklibname kmm_models %{kmm_models_major}

%define kmm_settings_major 5
%define libkmm_settings %mklibname kmm_settings %{kmm_settings_major}

%define kmm_printer_major 5
%define libkmm_printer %mklibname kmm_printer %{kmm_printer_major}

%bcond_without woob

Summary:    The Personal Finances Manager
Name:       kmymoney
Version:    5.1.3
Release:    %mkrel 5
License:    GPLv2+
Group:      Office/Finance
Url:        https://kmymoney.org/
Source0:    https://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  boost-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KChart)
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KF5Kross)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KPim5Akonadi)
BuildRequires:  cmake(KPim5IdentityManagement)
BuildRequires:  cmake(KPim5WebEngineViewer)
BuildRequires:  cmake(KPim5AkonadiContact)
BuildRequires:  cmake(LibIcal)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5WebEngineWidgets)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  gpgme-devel
BuildRequires:  pkgconfig(libofx)
BuildRequires:  pkgconfig(aqbanking)
BuildRequires:  pkgconfig(libalkimia5)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(gwenhywfar)
BuildRequires:  pkgconfig(gwengui-qt5)
BuildRequires:  pkgconfig(ktoblzcheck)
BuildRequires:  pkgconfig(sqlcipher)
BuildRequires:  doxygen
BuildRequires:  perl(Finance::Quote)
%if %{with woob}
BuildRequires:  woob
BuildRequires:  pkgconfig(python3)
Recommends:     %{name}-plugin-woob
%endif

Requires:   %{libkmm_widgets} = %{version}
Requires:   %{libkmm_mymoney} = %{version}
Requires:   perl-Finance-Quote

%description 
KMyMoney Personal Finance Manager.

%files -f %name.lang
%{_kf5_bindir}/kmymoney
%{_qt5_plugindir}/kmymoney/
%if %{with woob}
%exclude %{_qt5_plugindir}/kmymoney/woob.so
%exclude %{_kf5_datadir}/kxmlgui5/woob
%endif
%{_qt5_plugindir}/sqldrivers/qsqlcipher.so
%{_kf5_datadir}/config.kcfg/kmymoney.kcfg
%{_kf5_datadir}/config.kcfg/kbanking.kcfg
%{_kf5_datadir}/checkprinting/
%{_kf5_datadir}/kbanking/
%{_kf5_datadir}/kmymoney/
%{_kf5_datadir}/kxmlgui5/*
%{_kf5_metainfodir}/org.kde.kmymoney.appdata.xml
%{_kf5_datadir}/kconf_update/kmymoney.upd
%{_kf5_applicationdir}/org.kde.kmymoney.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_services}/*.desktop
%{_kf5_datadir}/mime/packages/*.xml
%{_kf5_mandir}/man1/kmymoney.1*

#-----------------------------------------------------------------------------

%package -n %{libkmm_csvimportercore}
Summary:        KMyMoney library
Group:          System/Libraries
Requires: %{libkmm_mymoney} = %{version}

%description -n %{libkmm_csvimportercore}
KMyMoney library.

%files -n %{libkmm_csvimportercore}
%{_kf5_libdir}/libkmm_csvimportercore.so.%{kmm_csvimportercore_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_mymoney}
Summary: KMyMoney library
Group: System/Libraries
Requires: %{libkmm_icons} = %{version}
Requires: %{libkmm_plugin} = %{version}
Requires: %{libkmm_payeeidentifier} = %{version}

%description -n %{libkmm_mymoney}
KMyMoney library.

%files -n %{libkmm_mymoney}
%{_kf5_libdir}/libkmm_mymoney.so.%{kmm_mymoney_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_icons}
Summary:        KMyMoney library
Group:          System/Libraries

%description -n %{libkmm_icons}
KMyMoney library.

%files -n %{libkmm_icons}
%{_kf5_libdir}/libkmm_icons.so.%{kmm_icons_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_plugin}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libkmm_plugin}
KMyMoney library.

%files -n %{libkmm_plugin}
%{_kf5_libdir}/libkmm_plugin.so.%{kmm_plugin_major}{,.*}

#-----------------------------------------------------------------------------

%if %{with woob}
%package -n %{name}-plugin-woob
Summary:    KMyMoney Woob plugin
Group:      System/Libraries
Requires:   woob

%description -n %{name}-plugin-woob
KMyMoney plugin to access bank website through Woob.

%files -n %{name}-plugin-woob
%{_qt5_plugindir}/%{name}/woob.so
%{_kf5_datadir}/kxmlgui5/woob/
%endif

#-----------------------------------------------------------------------------

%package -n %{libkmm_widgets}
Summary: KMyMoney library
Group: System/Libraries
Requires: %{libkmm_mymoney} = %{version}
Requires: %{libkmm_icons} = %{version}
Requires: %{libkmm_models} = %{version}
Requires: %{libkmm_payeeidentifier} = %{version}
Requires: %{libkmm_plugin} = %{version}
Requires: %{libkmm_settings} = %{version}

%description -n %{libkmm_widgets}
KMyMoney library.

%files -n %{libkmm_widgets}
%{_kf5_libdir}/libkmm_widgets.so.%{kmm_widgets_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_payeeidentifier}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libkmm_payeeidentifier}
KMyMoney library.

%files -n %{libkmm_payeeidentifier}
%{_kf5_libdir}/libkmm_payeeidentifier.so.%{kmm_payeeidentifier_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_menus}
Summary:        KMyMoney library
Group:          System/Libraries

%description -n %{libkmm_menus}
KMyMoney library.

%files -n %{libkmm_menus}
%{_kf5_libdir}/libkmm_menus.so.%{kmm_menus_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_models}
Summary:        KMyMoney library
Group:          System/Libraries
Requires: %{libkmm_mymoney} = %{version}
Requires: %{libkmm_icons} = %{version}
Requires: %{libkmm_payeeidentifier} = %{version}
Requires: %{libkmm_settings} = %{version}

%description -n %{libkmm_models}
KMyMoney library.

%files -n %{libkmm_models}
%{_kf5_libdir}/libkmm_models.so.%{kmm_models_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_settings}
Summary:        KMyMoney library
Group:          System/Libraries

%description -n %{libkmm_settings}
KMyMoney library.

%files -n %{libkmm_settings}
%{_kf5_libdir}/libkmm_settings.so.%{kmm_settings_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_printer}
Summary:        KMyMoney library
Group:          System/Libraries

%description -n %{libkmm_printer}
KMyMoney library.

%files -n %{libkmm_printer}
%{_kf5_libdir}/libkmm_printer.so.%{kmm_printer_major}{,.*}

#-----------------------------------------------------------------------------

%package devel
Summary: KMyMoney Development library
Group: Development/KDE and Qt
Requires: %{libkmm_csvimportercore} = %{version}
Requires: %{libkmm_mymoney} = %{version}
Requires: %{libkmm_icons} = %{version}
Requires: %{libkmm_plugin} = %{version}
Requires: %{libkmm_widgets} = %{version}
Requires: %{libkmm_payeeidentifier} = %{version}
Requires: %{libkmm_menus} = %{version}
Requires: %{libkmm_models} = %{version}
Requires: %{libkmm_settings} = %{version}
Requires: %{libkmm_printer} = %{version}

%description devel
KMyMoney development files.

%files devel
%{_kf5_libdir}/libkmm_csvimportercore.so
%{_kf5_libdir}/libkmm_mymoney.so
%{_kf5_libdir}/libkmm_icons.so
%{_kf5_libdir}/libkmm_plugin.so
%{_kf5_libdir}/libkmm_widgets.so
%{_kf5_libdir}/libkmm_payeeidentifier.so
%{_kf5_libdir}/libkmm_menus.so
%{_kf5_libdir}/libkmm_models.so
%{_kf5_libdir}/libkmm_settings.so
%{_kf5_libdir}/libkmm_printer.so
%{_includedir}/%{name}/

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5 %{?with_woob:-DENABLE_WOOB:BOOL=ON} \
    -DENABLE_WEBENGINE=ON
%cmake_build

%install
%cmake_install

%find_lang %name --with-html --with-man


%changelog
* Fri Dec 29 2023 daviddavid <daviddavid> 5.1.3-5.mga10
+ Revision: 2023638
- rebuild for py3.12

* Mon May 29 2023 daviddavid <daviddavid> 5.1.3-4.mga9
+ Revision: 1959606
- rebuild for new akonadi

* Mon Mar 20 2023 papoteur <papoteur> 5.1.3-3.mga9
+ Revision: 1949819
- build with webengine instead of Qtwebkit

* Wed Jan 11 2023 daviddavid <daviddavid> 5.1.3-2.mga9
+ Revision: 1932404
- enable woob plugin (previously weboob)

* Sat Jul 30 2022 kekepower <kekepower> 5.1.3-1.mga9
+ Revision: 1873485
- Update to version 5.1.3

* Thu Jun 24 2021 kekepower <kekepower> 5.1.2-1.mga9
+ Revision: 1732079
- Update to version 5.1.2

* Mon Dec 21 2020 kekepower <kekepower> 5.1.1-1.mga8
+ Revision: 1662473
- Update to version 5.1.1

* Thu Dec 17 2020 umeabot <umeabot> 5.1.0-2.mga8
+ Revision: 1658769
- Rebuild for new Qt5

* Mon Jun 22 2020 zezinho <zezinho> 5.1.0-1.mga8
+ Revision: 1598487
- new version 5.1.0

* Sun May 17 2020 zezinho <zezinho> 5.0.8-3.mga8
+ Revision: 1584801
- rebuild against gwenhywfar 5.3.0

* Wed Feb 19 2020 umeabot <umeabot> 5.0.8-2.mga8
+ Revision: 1544187
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 zezinho <zezinho> 5.0.8-1.mga8
+ Revision: 1482668
- new version
+ wally <wally>
- build with new cmake macros

* Sun Oct 06 2019 zezinho <zezinho> 5.0.7-1.mga8
+ Revision: 1450022
- new version 5.0.7 to fix mga#25515

* Mon Sep 30 2019 zezinho <zezinho> 5.0.6-1.mga8
+ Revision: 1448437
- new version 5.0.6
- new version
+ umeabot <umeabot>
- Qt5 Rebuild

* Sat Feb 02 2019 kekepower <kekepower> 5.0.3-1.mga7
+ Revision: 1362320
- Update to version 5.0.3

* Thu Jan 17 2019 danf <danf> 5.0.2-2.mga7
+ Revision: 1357753
- Moved the remaining weboob files into kmymoney-plugin-weboob
- Added versioned dependencies between packages.

* Mon Nov 05 2018 zezinho <zezinho> 5.0.2-1.mga7
+ Revision: 1328600
- fix libs list
+ daviddavid <daviddavid>
- new version: 5.0.2
- remove merged upstream patch

* Sun Sep 23 2018 umeabot <umeabot> 5.0.1-4.mga7
+ Revision: 1298599
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 daviddavid <daviddavid> 5.0.1-3.mga7
+ Revision: 1235083
- add upstream patch to fix build with new Qt5 >= 5.11.0

* Sat Apr 07 2018 kekepower <kekepower> 5.0.1-2.mga7
+ Revision: 1215952
- Rebuild for new libical

* Mon Mar 19 2018 kekepower <kekepower> 5.0.1-1.mga7
+ Revision: 1210390
- BR weboob
- Update to version 5.0.1
- Removed applied patch
- Fixed weboob plugin paths

* Tue Feb 27 2018 daviddavid <daviddavid> 5.0.0-2.mga7
+ Revision: 1205410
- use cmake_kf5 macro to fix Qt5 plugins path
- add upstream patch to set SONAME also for kmm_icons and kmm_csvimportercore
- enable SQLCipher plugin
- install translated manpages with find_lang

* Sun Feb 25 2018 zezinho <zezinho> 5.0.0-1.mga7
+ Revision: 1205146
- new version 5.0.0 using KF5
- new bugfix version 4.8.1.1

* Mon Nov 13 2017 zezinho <zezinho> 4.8.1-4.mga7
+ Revision: 1177203
- add BR p7zip as our BS does not have it
- remove upstreamed patches -add man page
- new version

* Thu Dec 22 2016 daviddavid <daviddavid> 4.8.0-4.mga6
+ Revision: 1076474
- enable KBanking plugin
- switch BRs to pkgconfig()

* Wed Dec 21 2016 daviddavid <daviddavid> 4.8.0-3.mga6
+ Revision: 1076260
- add gentoo patch to fix build against gpgme/gpgmepp >= 1.7.0
+ neoclust <neoclust>
- Find new gpgme
- Build against gpgme-devel

* Wed Jun 29 2016 daviddavid <daviddavid> 4.8.0-2.mga6
+ Revision: 1038104
- add a patch to fix libkmm_payeeidentifier soversion (fixes mga#18815)
  * https://bugs.kde.org/show_bug.cgi?id=364387
- add a new lib subpackage for libkmm_payeeidentifier

* Sun Jun 26 2016 zezinho <zezinho> 4.8.0-1.mga6
+ Revision: 1037699
- add upstream patch to fix build
- new libraries
- new stable 4.8.0 version

* Mon May 02 2016 zezinho <zezinho> 4.7.2-4.mga6
+ Revision: 1008553
- rebuild against libofx 0.9.10

* Mon Jan 25 2016 luigiwalser <luigiwalser> 4.7.2-3.mga6
+ Revision: 927286
- rebuild for libical

* Fri Sep 04 2015 zezinho <zezinho> 4.7.2-2.mga6
+ Revision: 872817
- rebuild against new aqbanking-5.5.1

* Thu Sep 03 2015 zezinho <zezinho> 4.7.2-1.mga6
+ Revision: 872623
- new version 4.7.2

* Wed Oct 15 2014 umeabot <umeabot> 4.6.6-3.mga5
+ Revision: 740879
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.6.6-2.mga5
+ Revision: 681135
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 zezinho <zezinho> 4.6.6-1.mga5
+ Revision: 643485
- new version
+ fwang <fwang>
- 4.6.5

* Mon Dec 16 2013 neoclust <neoclust> 4.6.4-3.mga4
+ Revision: 557326
- Rebuild against new libofx

* Mon Oct 21 2013 umeabot <umeabot> 4.6.4-2.mga4
+ Revision: 539401
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 fwang <fwang> 4.6.4-1.mga4
+ Revision: 492090
- new version 4.6.4

* Tue Jul 09 2013 fwang <fwang> 4.6.3-8.mga4
+ Revision: 451664
- rebuild for new boost

* Sun Jun 02 2013 fwang <fwang> 4.6.3-7.mga4
+ Revision: 434345
- rebuild for new ical

* Fri Feb 08 2013 fwang <fwang> 4.6.3-6.mga3
+ Revision: 395549
- apply patch
- fix build with latest gmp

* Sat Jan 12 2013 umeabot <umeabot> 4.6.3-5.mga3
+ Revision: 356340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 fwang <fwang> 4.6.3-4.mga3
+ Revision: 336382
- fix build with gcc 4.7
+ zezinho <zezinho>
- fix rpm group

* Mon Sep 03 2012 fwang <fwang> 4.6.3-2.mga3
+ Revision: 287554
- rebuild for new aqbanking

* Sat Sep 01 2012 fwang <fwang> 4.6.3-1.mga3
+ Revision: 286817
- update file list
- new version 4.6.3

* Fri Mar 16 2012 zezinho <zezinho> 4.6.2-2.mga2
+ Revision: 223686
- rebuild against new libofx
+ fwang <fwang>
- new version 4.6.2

* Mon Jan 30 2012 zezinho <zezinho> 4.6.1-3.mga2
+ Revision: 203562
- patch to fix build
- rebuild against libalkimia-4.3.2

* Sat Jan 21 2012 fwang <fwang> 4.6.1-2.mga2
+ Revision: 198998
- rebuild for new ofx

* Mon Nov 07 2011 zezinho <zezinho> 4.6.1-1.mga2
+ Revision: 164967
- new version

* Sat Sep 24 2011 zezinho <zezinho> 4.6.0-2.mga2
+ Revision: 147255
- bump release
- go back to complete version

* Fri Sep 23 2011 zezinho <zezinho> 4.6.0-1.mga2
+ Revision: 147139
- use second release to enable build on kde 4.7.x
- added BR libalkimia-devel
- try to build the french manual
- new version 4.6.0

* Wed Apr 13 2011 ahmad <ahmad> 4.5.3-1.mga1
+ Revision: 84120
- update to 4.5.3
- add Source4, .sig for the tarball

* Thu Feb 10 2011 spuhler <spuhler> 4.5.2-1.mga1
+ Revision: 49646
- imported package kmymoney


* Sat Dec 25 2010 Funda Wang <fwang@mandriva.org> 4.5.2-1mdv2011.0
+ Revision: 624700
- update to new version 4.5.2
- re-enalbe aqbanking

* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 4.5.1-1mdv2011.0
+ Revision: 598723
- new version 4.5.1

* Tue Sep 14 2010 Thomas Spuhler <tspuhler@mandriva.org> 4.5-2mdv2011.0
+ Revision: 578136
- patch 1 needed to connect to MySQL
- added patch 1 to make it connect to MySQL

* Tue Aug 17 2010 Funda Wang <fwang@mandriva.org> 4.5-1mdv2011.0
+ Revision: 570987
- New version 4.5

* Wed Jun 16 2010 Funda Wang <fwang@mandriva.org> 3.98.1-1mdv2011.0
+ Revision: 548129
- New version 3.98.1

* Thu Jun 03 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.98.0-2mdv2010.1
+ Revision: 547008
- Fix menu entry for KMymoney

* Sun May 16 2010 Funda Wang <fwang@mandriva.org> 3.98.0-1mdv2010.1
+ Revision: 544880
- 3.98.0 final

* Tue Apr 27 2010 Funda Wang <fwang@mandriva.org> 3.97.2-1.1119473.1mdv2010.1
+ Revision: 539538
- New snapshot

  + Sandro Cazzaniga <kharec@mandriva.org>
    - clean mixed-use-of-spaces-and-tabs

* Wed Apr 14 2010 Funda Wang <fwang@mandriva.org> 3.97.1-2.1114730.1mdv2010.1
+ Revision: 534710
- new snapshot

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - new upstream release 3.97.1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Clean file list

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 3.97.0-1mdv2010.1
+ Revision: 530397
- New version 3.97.0

* Sun Feb 21 2010 Funda Wang <fwang@mandriva.org> 3.96.1-1mdv2010.1
+ Revision: 508917
- 3.96.1

* Mon Feb 15 2010 Funda Wang <fwang@mandriva.org> 3.96.0-2mdv2010.1
+ Revision: 506233
- install en doc to correct dir

* Mon Feb 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.96.0-1mdv2010.1
+ Revision: 506175
- Fix file list
- Update to Beta2

* Thu Feb 11 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.95.0-0.1088392.2mdv2010.1
+ Revision: 504249
- push in release

* Wed Feb 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.95.0-0.1088392.1mdv2010.1
+ Revision: 503987
- This does not need to go on testing in cooker as this will not go on stable release before next stable version of kmymoney

  + Funda Wang <fwang@mandriva.org>
    - New snapshot

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 3.95.0-0.1075755.1mdv2010.1
+ Revision: 492471
- update summary
- add remind on uploading for myself
- import kmymoney


